Debian Bug report logs - #500058
linux-image-2.6.26-1-686: Acer Aspire One won't boot with SDHC card inserted

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: John Winters <john@sinodun.org.uk>

Date: Wed, 24 Sep 2008 16:30:02 UTC

Severity: normal

Fixed in version 2.6.30-1

Done: Moritz Muehlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#500058; Package linux-image-2.6.26-1-686. (Wed, 24 Sep 2008 16:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Winters <john@sinodun.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Sep 2008 16:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: John Winters <john@sinodun.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.26-1-686: Acer Aspire One won't boot with SDHC card inserted
Date: Wed, 24 Sep 2008 17:27:42 +0100
Package: linux-image-2.6.26-1-686
Version: 2.6.26-5
Severity: normal


The current kernel for Lenny (2.6.26-1) boots fine on an Acer Aspire
One, except if there is an SDHC card in one of the card reader slots.

Then the boot process gets as far as:

Waiting for /dev to be fully populated

and hangs.  After a minute the following message appears:

BUG: soft lockup - CPU#1 stuck for 61s! [kmemstick:1503]

and the message is repeated every minute after that.

The same configuration boots successfully with kernel 2.6.22 and the
memory card can be accessed once the boot is complete (although 2.6.22
doesn't support other aspects of the hardware).


-- Package-specific info:
** Version:
Linux version 2.6.26-1-686 (Debian 2.6.26-5) (waldi@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Wed Sep 10 16:46:13 UTC 2008

** Command line:
root=/dev/sda1 ro elevator=noop quiet

** Tainted: P (1)

** Kernel log:
[    4.411602] ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
[    4.455799] Driver 'sd' needs updating - please use bus_type methods
[    4.455966] sd 1:0:0:0: [sda] 15761088 512-byte hardware sectors (8070 MB)
[    4.456009] sd 1:0:0:0: [sda] Write Protect is off
[    4.456015] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    4.456087] sd 1:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    4.456222] sd 1:0:0:0: [sda] 15761088 512-byte hardware sectors (8070 MB)
[    4.456262] sd 1:0:0:0: [sda] Write Protect is off
[    4.456268] sd 1:0:0:0: [sda] Mode Sense: 00 3a 00 00
[    4.456341] sd 1:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    4.456351]  sda: sda1 sda2
[    4.461826] sd 1:0:0:0: [sda] Attached SCSI disk
[    4.567128] PM: Starting manual resume from disk
[    4.949434] usb 5-5: new high speed USB device using ehci_hcd and address 3
[    5.302032] usb 5-5: configuration #1 chosen from 1 choice
[    5.348648] usb 5-5: New USB device found, idVendor=064e, idProduct=d101
[    5.348648] usb 5-5: New USB device strings: Mfr=3, Product=1, SerialNumber=4
[    5.348648] usb 5-5: Product: Acer Crystal Eye webcam
[    5.348648] usb 5-5: Manufacturer: SuYin
[    5.348648] usb 5-5: SerialNumber: CN0316-M608-OV01-VA-R02.00.00
[    5.407072] udevd version 125 started
[    5.587926] usb 1-1: new low speed USB device using uhci_hcd and address 4
[    5.756507] usb 1-1: configuration #1 chosen from 1 choice
[    5.760819] usb 1-1: New USB device found, idVendor=1267, idProduct=0210
[    5.760819] usb 1-1: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[    5.760819] usb 1-1: Product: PS/2+USB Mouse
[    5.782903] Linux video capture interface: v2.00
[    5.799282] uvcvideo: Found UVC 1.00 device Acer Crystal Eye webcam (064e:d101)
[    5.803246] input: Acer Crystal Eye webcam as /class/input/input1
[    5.803331] usbcore: registered new interface driver uvcvideo
[    5.803341] USB Video Class driver (v0.1.0)
[    6.176665] ACPI: WMI: Mapper loaded
[    6.196669] acer-wmi: Acer Laptop ACPI-WMI Extras version 0.1
[    7.506790] Linux agpgart interface v0.103
[    7.526372] agpgart: Detected an Intel 945GME Chipset.
[    7.526605] agpgart: Detected 7932K stolen memory.
[    7.542793] agpgart: AGP aperture is 256M @ 0x20000000
[    7.844087] ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 16 (level, low) -> IRQ 16
[    7.844133] PCI: Setting latency timer of device 0000:00:1b.0 to 64
[    7.876856] hda_codec: Unknown model for ALC268, trying auto-probe from BIOS...
[    8.168975] ath_hal: module license 'Proprietary' taints kernel.
[    8.181538] AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, RF2425, RF2417)
[    8.545621] ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 18 (level, low) -> IRQ 18
[    8.545646] PCI: Setting latency timer of device 0000:03:00.0 to 64
[    9.035636] MadWifi: ath_attach: Switching rfkill capability off.
[    9.091067] input: Power Button (FF) as /class/input/input2
[    9.091344] ACPI: AC Adapter [ACAD] (off-line)
[    9.135933] ACPI: Power Button (FF) [PWRF]
[    9.136795] input: Power Button (CM) as /class/input/input3
[    9.180203] ACPI: Power Button (CM) [PWRB]
[    9.180382] input: Lid Switch as /class/input/input4
[    9.239222] ACPI: Lid Switch [LID0]
[    9.239424] input: Sleep Button (CM) as /class/input/input5
[    9.267172] ACPI: Sleep Button (CM) [SLPB]
[   10.090084] ACPI: Battery Slot [BAT1] (battery present)
[   10.215969] input: Video Bus as /class/input/input6
[   10.266579] ACPI: Video Device [OVGA] (multi-head: yes  rom: yes  post: no)
[   10.390518] iTCO_wdt: Intel TCO WatchDog Timer Driver v1.03 (30-Apr-2008)
[   10.390684] iTCO_wdt: Found a ICH7-M TCO device (Version=2, TCOBASE=0x0460)
[   10.390742] iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
[   10.967495] intel_rng: FWH not detected
[   11.180260] input: PC Speaker as /class/input/input7
[   11.393304] usbcore: registered new interface driver hiddev
[   11.408223] input: PS/2+USB Mouse as /class/input/input8
[   11.459638] input,hidraw0: USB HID v1.00 Mouse [PS/2+USB Mouse] on usb-0000:00:1d.0-1
[   11.459683] usbcore: registered new interface driver usbhid
[   11.459693] usbhid: v2.6:USB HID core driver
[   11.509137] Error: Driver 'pcspkr' is already registered, aborting...
[   11.656385] wifi0: Atheros AR2425 chip found (MAC 14.2, PHY SChip 7.0, Radio 10.2)
[   11.944663] ath_pci: wifi0: Atheros 5424/2424: mem=0x35200000, irq=18
[   11.945150] ACPI: PCI Interrupt 0000:00:1f.3[B] -> GSI 17 (level, low) -> IRQ 17
[   12.126662] Synaptics Touchpad, model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd04771/0xa40000
[   12.180195] input: SynPS/2 Synaptics TouchPad as /class/input/input9
[   13.274035] Adding 554232k swap on /dev/sda2.  Priority:-1 extents:1 across:554232k
[   14.440976] loop: module loaded
[   20.334272] r8169: eth0: link down
[   22.654097] NET: Registered protocol family 10
[   22.654097] lo: Disabled Privacy Extensions
[   22.655148] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   22.892186] lp: driver loaded but no devices found
[   23.085254] ppdev: user-space parallel port driver
[   25.246371] device eth0 entered promiscuous mode
[   25.979264] warning: `ntpd' uses 32-bit capabilities (legacy support in use)
[   28.234213] Bluetooth: Core ver 2.11
[   28.234213] NET: Registered protocol family 31
[   28.234213] Bluetooth: HCI device and connection manager initialized
[   28.234213] Bluetooth: HCI socket layer initialized
[   28.350327] Bluetooth: L2CAP ver 2.9
[   28.350327] Bluetooth: L2CAP socket layer initialized
[   28.459056] Bluetooth: RFCOMM socket layer initialized
[   28.459056] Bluetooth: RFCOMM TTY layer initialized
[   28.459056] Bluetooth: RFCOMM ver 1.8
[   31.602701] [drm] Initialized drm 1.1.0 20060810
[   31.610670] ACPI: PCI Interrupt 0000:00:02.0[A] -> GSI 16 (level, low) -> IRQ 16
[   31.610670] PCI: Setting latency timer of device 0000:00:02.0 to 64
[   31.610670] [drm] Initialized i915 1.6.0 20060119 on minor 0
[   31.774713] mtrr: no more MTRRs available
[   89.749768] ADDRCONF(NETDEV_CHANGE): ath0: link becomes ready
[   99.978588] ath0: no IPv6 routers present
[  113.561007] ath0: no IPv6 routers present

** Loaded modules:
Module                  Size  Used by
wlan_tkip              10272  2 
i915                   25280  2 
drm                    65256  3 i915
rfcomm                 28272  0 
l2cap                  17248  5 rfcomm
bluetooth              44900  4 rfcomm,l2cap
ppdev                   6468  0 
parport_pc             22500  0 
lp                      8164  0 
parport                30988  3 ppdev,parport_pc,lp
ipv6                  235300  24 
acpi_cpufreq            6796  1 
cpufreq_userspace       3172  0 
cpufreq_stats           3776  0 
cpufreq_powersave       1856  0 
cpufreq_ondemand        6476  1 
freq_table              4224  3 acpi_cpufreq,cpufreq_stats,cpufreq_ondemand
cpufreq_conservative     5960  0 
loop                   12748  0 
joydev                  8480  0 
wlan_scan_sta          11200  1 
usbhid                 35904  0 
hid                    33184  1 usbhid
ff_memless              4392  1 usbhid
psmouse                32336  0 
snd_pcsp                8576  0 
serio_raw               4740  0 
rng_core                3940  0 
i2c_i801                7920  0 
i2c_core               19828  1 i2c_i801
iTCO_wdt                9508  0 
video                  16400  0 
output                  2912  1 video
ath_rate_sample        11008  1 
battery                10180  0 
button                  6064  0 
ac                      4196  0 
ath_pci               202104  0 
wlan                  193040  5 wlan_tkip,wlan_scan_sta,ath_rate_sample,ath_pci
ath_hal               300672  3 ath_rate_sample,ath_pci
snd_hda_intel         324248  1 
intel_agp              22300  1 
agpgart                28776  3 drm,intel_agp
snd_pcm_oss            32800  0 
snd_mixer_oss          12320  1 snd_pcm_oss
snd_pcm                62628  3 snd_pcsp,snd_hda_intel,snd_pcm_oss
snd_timer              17800  1 snd_pcm
snd                    45604  8 snd_pcsp,snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               6368  1 snd
snd_page_alloc          7816  2 snd_hda_intel,snd_pcm
acer_wmi                8852  0 
led_class               3908  1 acer_wmi
evdev                   8000  8 
wmi                     6440  1 acer_wmi
uvcvideo               45576  0 
compat_ioctl32          1312  1 uvcvideo
videodev               27520  1 uvcvideo
v4l1_compat            12260  2 uvcvideo,videodev
ext2                   54344  1 
mbcache                 7108  1 ext2
sd_mod                 22200  3 
ide_pci_generic         3908  0 [permanent]
ide_core               92628  1 ide_pci_generic
ata_generic             4676  0 
ata_piix               14180  2 
libata                140416  2 ata_generic,ata_piix
scsi_mod              129356  2 sd_mod,libata
dock                    8272  1 libata
ehci_hcd               28428  0 
uhci_hcd               18672  0 
usbcore               118160  5 usbhid,uvcvideo,ehci_hcd,uhci_hcd
r8169                  23684  0 
thermal                15228  0 
processor              32576  4 acpi_cpufreq,thermal
fan                     4164  0 
thermal_sys            10856  4 video,thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GME Express Memory Controller Hub [8086:27ac] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at 38480000 (32-bit, non-prefetchable) [size=512K]
	Region 1: I/O ports at 60c0 [size=8]
	Region 2: Memory at 20000000 (32-bit, prefetchable) [size=256M]
	Region 3: Memory at 38500000 (32-bit, non-prefetchable) [size=256K]
	Capabilities: <access denied>

00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at 38400000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: <access denied>

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at 38540000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: 37300000-383fffff
	Prefetchable memory behind bridge: 0000000030000000-0000000030ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.1 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 [8086:27d2] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00004fff
	Memory behind bridge: 36300000-372fffff
	Prefetchable memory behind bridge: 0000000031000000-00000000320fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.2 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 [8086:27d4] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: 35200000-362fffff
	Prefetchable memory behind bridge: 0000000032100000-00000000330fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.3 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 [8086:27d6] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: 34100000-351fffff
	Prefetchable memory behind bridge: 0000000033100000-00000000340fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 [8086:27c8] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 6080 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 [8086:27c9] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 6060 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 [8086:27ca] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 6040 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 [8086:27cb] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 6020 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at 38544400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel modules: intel-rng, iTCO_wdt

00:1f.2 IDE interface [0101]: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller [8086:27c4] (rev 02) (prog-if 80 [Master])
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 60a0 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix
	Kernel modules: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 82801G (ICH7 Family) SMBus Controller [8086:27da] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 6000 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8101E PCI Express Fast Ethernet controller [10ec:8136] (rev 02)
	Subsystem: Acer Incorporated [ALI] Device [1025:015b]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 219
	Region 0: I/O ports at 3000 [size=256]
	Region 2: Memory at 31010000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at 31000000 (64-bit, prefetchable) [size=64K]
	Expansion ROM at 31020000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169
	Kernel modules: r8169

03:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter [168c:001c] (rev 01)
	Subsystem: Foxconn International, Inc. Device [105b:e008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at 35200000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath_pci
	Kernel modules: ath5k, ath_pci



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92j      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.26-1-686 recommends:
ii  libc6-i686                    2.7-13     GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.26-1-686 suggests:
ii  grub                          0.97-47    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26              <none>     (no description available)

-- debconf information:
  linux-image-2.6.26-1-686/preinst/abort-overwrite-2.6.26-1-686:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-686/postinst/bootloader-error-2.6.26-1-686:
  linux-image-2.6.26-1-686/postinst/depmod-error-initrd-2.6.26-1-686: false
  linux-image-2.6.26-1-686/prerm/removing-running-kernel-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/old-system-map-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/abort-install-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-686/preinst/bootloader-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/prerm/would-invalidate-boot-loader-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/elilo-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-686/postinst/old-dir-initrd-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/create-kimage-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/lilo-initrd-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/old-initrd-link-2.6.26-1-686: true
  linux-image-2.6.26-1-686/preinst/overwriting-modules-2.6.26-1-686: true
  linux-image-2.6.26-1-686/postinst/depmod-error-2.6.26-1-686: false
  linux-image-2.6.26-1-686/postinst/bootloader-test-error-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/failed-to-move-modules-2.6.26-1-686:
  linux-image-2.6.26-1-686/preinst/initrd-2.6.26-1-686:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#500058; Package linux-image-2.6.26-1-686. (Sun, 30 Aug 2009 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Winters <john@sinodun.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 Aug 2009 12:21:03 GMT) Full text and rfc822 format available.

Message #10 received at 500058@bugs.debian.org (full text, mbox):

From: John Winters <john@sinodun.org.uk>
To: 500058@bugs.debian.org
Subject: Seems to be fixed in 2.6.30 (as packaged for Squeeze)
Date: Sun, 30 Aug 2009 13:20:09 +0100
A workaround for this bug with the 2.6.26 kernels was to blacklist:

jmb38x_ms
memstick

in /etc/modprobe.d/blacklist.conf.  This is still required for the
2.6.26 kernels in Lenny.

I've just upgraded to Squeeze and the 2.6.30 kernel there seems to have
fixed the problem.




Bug reassigned from package 'linux-image-2.6.26-1-686' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:42:58 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-5. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:42:59 GMT) Full text and rfc822 format available.

Reply sent to Moritz Muehlenhoff <jmm@inutil.org>:
You have taken responsibility. (Thu, 18 Feb 2010 22:30:16 GMT) Full text and rfc822 format available.

Notification sent to John Winters <john@sinodun.org.uk>:
Bug acknowledged by developer. (Thu, 18 Feb 2010 22:30:16 GMT) Full text and rfc822 format available.

Message #19 received at 500058-done@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: John Winters <john@sinodun.org.uk>
Cc: 500058-done@bugs.debian.org
Subject: Re: Seems to be fixed in 2.6.30 (as packaged for Squeeze)
Date: Thu, 18 Feb 2010 23:28:19 +0100
Version: 2.6.30-1

On Sun, Aug 30, 2009 at 01:20:09PM +0100, John Winters wrote:
> A workaround for this bug with the 2.6.26 kernels was to blacklist:
> 
> jmb38x_ms
> memstick
> 
> in /etc/modprobe.d/blacklist.conf.  This is still required for the
> 2.6.26 kernels in Lenny.
> 
> I've just upgraded to Squeeze and the 2.6.30 kernel there seems to have
> fixed the problem.

Thanks for the feedback, marking as closed.

Cheers,
        Moritz




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Mar 2010 07:33:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:43:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.